Package com.independentsoft.office.charts

# Class AreaChartSerie

java.lang.Object
com.independentsoft.office.charts.AreaChartSerie

public class AreaChartSerie extends Object
The Class AreaChartSerie.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AreaChartSerie()`
  Instantiates a new area chart serie.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AreaChartSerie`
  `clone()`
  `CategoryAxis`
  `getCategoryAxis()`
  Gets the category axis.
  `ChartShapeProperties`
  `getChartShapeProperties()`
  Gets the chart shape properties.
  `DataLabels`
  `getDataLabels()`
  Gets the data labels.
  `List<DataPoint>`
  `getDataPoints()`
  Gets the data points.
  `ErrorBars`
  `getFirstErrorBars()`
  Gets the first error bars.
  `int`
  `getIndex()`
  Gets the index.
  `int`
  `getOrder()`
  Gets the order.
  `PictureOptions`
  `getPictureOptions()`
  Gets the picture options.
  `ErrorBars`
  `getSecondErrorBars()`
  Gets the second error bars.
  `SeriesText`
  `getSeriesText()`
  Gets the series text.
  `List<Trendline>`
  `getTrendlines()`
  Gets the trendlines.
  `Values`
  `getValues()`
  Gets the values.
  `void`
  `setCategoryAxis​(CategoryAxis categoryAxis)`
  Sets the category axis.
  `void`
  `setDataLabels​(DataLabels dataLabels)`
  Sets the data labels.
  `void`
  `setFirstErrorBars​(ErrorBars firstErrorBars)`
  Sets the first error bars.
  `void`
  `setIndex​(int index)`
  Sets the index.
  `void`
  `setOrder​(int order)`
  Sets the order.
  `void`
  `setPictureOptions​(PictureOptions pictureOptions)`
  Sets the picture options.
  `void`
  `setSecondErrorBars​(ErrorBars secondErrorBars)`
  Sets the second error bars.
  `void`
  `setSeriesText​(SeriesText seriesText)`
  Sets the series text.
  `void`
  `setValues​(Values values)`
  Sets the values.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AreaChartSerie

    public AreaChartSerie()
    Instantiates a new area chart serie.

- ## Method Details

  - ### clone

    public AreaChartSerie clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getCategoryAxis

    public CategoryAxis getCategoryAxis()
    Gets the category axis.
    Returns:
      the category axis

  - ### setCategoryAxis

    public void setCategoryAxis​(CategoryAxis categoryAxis)
    Sets the category axis.
    Parameters:
      `categoryAxis` - the new category axis

  - ### getDataLabels

    public DataLabels getDataLabels()
    Gets the data labels.
    Returns:
      the data labels

  - ### setDataLabels

    public void setDataLabels​(DataLabels dataLabels)
    Sets the data labels.
    Parameters:
      `dataLabels` - the new data labels

  - ### getDataPoints

    public List<DataPoint> getDataPoints()
    Gets the data points.
    Returns:
      the data points

  - ### getFirstErrorBars

    public ErrorBars getFirstErrorBars()
    Gets the first error bars.
    Returns:
      the first error bars

  - ### setFirstErrorBars

    public void setFirstErrorBars​(ErrorBars firstErrorBars)
    Sets the first error bars.
    Parameters:
      `firstErrorBars` - the new first error bars

  - ### getSecondErrorBars

    public ErrorBars getSecondErrorBars()
    Gets the second error bars.
    Returns:
      the second error bars

  - ### setSecondErrorBars

    public void setSecondErrorBars​(ErrorBars secondErrorBars)
    Sets the second error bars.
    Parameters:
      `secondErrorBars` - the new second error bars

  - ### getIndex

    public int getIndex()
    Gets the index.
    Returns:
      the index

  - ### setIndex

    public void setIndex​(int index)
    Sets the index.
    Parameters:
      `index` - the new index

  - ### getOrder

    public int getOrder()
    Gets the order.
    Returns:
      the order

  - ### setOrder

    public void setOrder​(int order)
    Sets the order.
    Parameters:
      `order` - the new order

  - ### getPictureOptions

    public PictureOptions getPictureOptions()
    Gets the picture options.
    Returns:
      the picture options

  - ### setPictureOptions

    public void setPictureOptions​(PictureOptions pictureOptions)
    Sets the picture options.
    Parameters:
      `pictureOptions` - the new picture options

  - ### getChartShapeProperties

    public ChartShapeProperties getChartShapeProperties()
    Gets the chart shape properties.
    Returns:
      the chart shape properties

  - ### getTrendlines

    public List<Trendline> getTrendlines()
    Gets the trendlines.
    Returns:
      the trendlines

  - ### getSeriesText

    public SeriesText getSeriesText()
    Gets the series text.
    Returns:
      the series text

  - ### setSeriesText

    public void setSeriesText​(SeriesText seriesText)
    Sets the series text.
    Parameters:
      `seriesText` - the new series text

  - ### getValues

    public Values getValues()
    Gets the values.
    Returns:
      the values

  - ### setValues

    public void setValues​(Values values)
    Sets the values.
    Parameters:
      `values` - the new values